Package com.sun.jna.platform.win32

# Class WinDef.LPARAM

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.BaseTSD.LONG_PTR
com.sun.jna.platform.win32.WinDef.LPARAM

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Enclosing interface:
  WinDef

public static class WinDef.LPARAM extends BaseTSD.LONG_PTR
Message parameter.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LPARAM()`
Instantiates a new lparam.
`LPARAM(long value)`
Instantiates a new lparam.

## Method Summary

### Methods inherited from class com.sun.jna.platform.win32.BaseTSD.LONG_PTR

`toPointer`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LPARAM

public LPARAM()
Instantiates a new lparam.

### LPARAM

public LPARAM(long value)
Instantiates a new lparam.

Parameters:
  `value` - the value